% print right and left page 
%\documentclass[12pt,twoside]{report}
% print right page only
\documentclass[12pt,a4paper,twoside,openright,ngerman]{report} 
% openright: chapters start on right page
% note that the document can be single or double sided.
% Style credits to: Stanford Style, Roland, Ingo,
% Adapted by Daniel Wischounig-Strucl
% Diploma Thesis by Maximilian Pezdirnik (LostInAction), Luca Nachbar, Stefan Pisjak

%\usepackage{suthesis-2e}
\usepackage{htlthesis}

\addbibresource{bibliography/references.bib} % Import the bibliography file

% Spell Checker:
% aspell -t -l en --add-tex-command="eqn p" --add-tex-command="fig p" --add-tex-command="sec p" --add-tex-command="textit p" --add-tex-command="alg p" --add-tex-command="tbl p" --add-tex-command="etal p" -c file.tex

\begin{document}

% select the language for the following content. 
\selectlanguage{ngerman}
% shows line numbers for better referencing during writing
%\linenumbers
%\listoftodos

\title{Commean}
\author{Luca Nachbar, Stefan Pisjak}
\professor{Dipl.--Ing. Benjamin Makula}

\beforepreface
\prefacesection{Kurzfassung} % optional
\input{kurzfassung}

\prefacesection{Abstract} % optional
\input{abstract}

\prefacesection{\foreignlanguage{english}{Preface}}
\input{preface}

\afterpreface

% normal content
\input{introduction}
\input{basics}
\input{work}

%\input{latex}

\input{conclusions}

\input{appendix}
%\input{glossary}
%\input{abbreviations}
\nocite{*} % uncomment to show all bib entries
\printglossaries
\printbibliography


\end{document}
